> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Payment Status

> Get payment status for an order



## OpenAPI

````yaml GET /orders/{reference}/payments/{payment_reference}
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders/{reference}/payments/{payment_reference}:
    get:
      description: Get payment status for an order
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
            example: 9689c0df-a313-4c5b-b71a-056c89b90978
        - name: payment_reference
          in: path
          required: true
          schema:
            type: string
            example: 019d110e-aeca-769d-9385-83acbbdafef3
      responses:
        '200':
          description: Payment status retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                        example: 9689c0df-a313-4a5b-b71a-056c89b90977
                      paymentReference:
                        type: string
                        example: 019d110b-c47f-7b86-8f87-c18c70b24f9f
                      currencyCode:
                        type: string
                        example: NGN
                      amount:
                        type: integer
                        example: 5000
                      status:
                        type: string
                        example: success
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T18:36:18Z'

````